Home » synapseai

Habana Developer Blog

/ synapseai
Bringing forth numerous enhancements and updates for an improved user experience.
In this release, we’ve upgraded versions of several libraries, including DeepSpeed 0.9.4, PyTorch Lightning 2.0.4 and TensorFlow 2.12.1.
In the 1.10 release, we’ve upgraded versions of several libraries, including PyTorch 2.0.1, PyTorch Lightning 2.0.0 and TensorFlow 2.12.0. We have added support for EKS 1.25 and OpenShift 4.12
In the 1.9 release, we’ve upgraded versions of several libraries, including PyTorch Lightning 1.9.4, DeepSpeed 0.7.7, fairseq 0.12.3, and Horovod v0.27.0.
We have upgraded versions of several libraries with SynapseAI 1.8.0, including PyTorch 1.13.1, PyTorch Lightning 1.8.6 and TensorFlow 2.11.0 & 2.8.4.
In this post, we show you how to run Habana’s DeepSpeed enabled BERT1.5B model from our Model-References repository.
We have upgrade versions of several libraries with SynapseAI 1.7.0, including DeepSpeed 0.7.0, PyTorch Lightning 1.7.7, TensorFlow 2.10.0 & 2.8.3, horovod 0.25.0, libfabric 1.16.1, EKS 1.23, and Open Shift 4.11.
Sign up for the latest Habana developer news, events, training, and updates.